import { AxiosApiClient } from "@smallstack/axios-api-client";
import { NotificationService } from "@smallstack/i18n-components";
import { TodoConfiguration, TodoConfigurationService } from "@smallstack/todo-shared";
import * as i0 from "@angular/core";
export declare class ProjectTodoConfigurationService extends TodoConfigurationService {
    private axiosApiClient;
    private notificationService;
    private storedConfig;
    constructor(axiosApiClient: AxiosApiClient, notificationService: NotificationService);
    getConfiguration(): Promise<TodoConfiguration>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProjectTodoConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProjectTodoConfigurationService>;
}
