import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { AddressDto, InnerTranslationDto, TodoDto, WorklogDto } from "@smallstack/axios-api-client";
import { MyTodoStore } from "../../stores/my-todo.store";
import * as i0 from "@angular/core";
export declare class WorklogTimerComponent {
    private cdr;
    private myTodoStore;
    protected set worklog(worklog: WorklogDto);
    protected maximized: boolean;
    protected readonly stopped: EventEmitter<void>;
    protected label: string | InnerTranslationDto[];
    protected currentDeltaTime: number;
    protected todo: TodoDto;
    private timer;
    constructor(cdr: ChangeDetectorRef, myTodoStore: MyTodoStore);
    openGoogleMaps(address: AddressDto): void;
    protected saveTodo(todo: TodoDto): void;
    private startTimer;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorklogTimerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorklogTimerComponent, "smallstack-worklog-timer", never, { "worklog": { "alias": "worklog"; "required": false; }; "maximized": { "alias": "maximized"; "required": false; }; }, { "stopped": "stopped"; }, never, never, false, never>;
}
